Subject: tkined-1.0.2 and scotty-1.0.2 linux binaries
From: [email-masked] (Juergen Schoenwaelder)
Date: Wed, 7 Sep 1994 18:22:51 GMT
Newsgroups: comp.os.linux.announce

I have uploaded binaries of tkined-1.0.2 and scotty-1.0.2 to
sunsite.unc.edu. They will appear in /pub/Linux/system/Network/admin
as tkined-1.0.2-bin.tar.gz. The binaries are linked against the latest
Tcl/Tk shared libraries by David Engel (available from sunsite.unc.edu
in /pub/Linux/devel/tcl). Below is the announcement of the tkined-1.0
and scotty-1.0.

							Juergen

-------------------------------------------------------------------

Release 1.0 of our network management software tkined and scotty is
now available on ftp.ibr.cs.tu-bs.de [134.169.34.15]. The files are:

	/pub/local/tkined/tkined-1.0.2.tar.gz
	/pub/local/tkined/scotty-1.0.2.tar.gz

	(This is actually patchlevel 2.)

tkined and scotty are based on tcl 7.3 and tk 3.6 and compile at least
on LINUX, SUN OS, HP-UX, ULTRIX 4.3, IRIX, SCO, OSF1, 386BSD.

What is tkined?

	tkined is a drawing program that allows you to create maps of
	your network configuration. But the most important feature of
	tkined is its tcl-based programming interface that allows you
	to use tkined as a GUI for a network management system. tkined
	provides commands to present status information in stripcharts
	or barcharts.

And why do I need scotty?

	scotty is a tcl interpreter that has extensions to set up TCP
	and UDP connections, to submit ICMP packets, to query the
	domain name system (DNS), to check clock screw using the NTP
	protocol and to query various SUN RPC services (like rstat and
	mountd). Included are some sample scripts for troubleshooting
	your network (ping, traceroute, finger, query tcp services,
	query RPC services), for monitoring network status plus
	scripts to discover and layout the topology of your IP network.

	scotty also includes a tcl SNMP interface. There are scripts
	to dump routing tables, to query interface status and to
	monitor SNMP variables. There is also a MIB browser to inspect
	the MIB hierarchy.

Where can I get more information about tkined and scotty?

	Visit our WWW server www.ibr.cs.tu-bs.de. It contains some
	sample maps, screen dumps of a running tkined editor and links
	to some related documents. A guide to the 1.0 version is in
	preparation and will appear on this server in the next days.

	If you have problems or if you have made any changes to run
	tkined and scotty on your hardware or if you have found any
	bugs, please contact us. You are also invited to join our
	tkined mailing list.  To join, send a request to

		[email-masked]. 

	Messages to the list should be send to [email-masked].

Why is did we change to version number 1.0?

	The programming interface of tkined and scotty has been
	revised to fix some oddities. We hope that we can provide
	some sort of compatibility regarding the tcl interface
	starting with the 1.0 release. Note, this promise does not
	include the SNMP interface which will be replaced with our
	own SNMPv1/v2 stack soon.

--
Send submissions for comp.os.linux.announce to: [email-masked]
Be sure to include Keywords: and a short description of your software.